     
library(VGAM)

################### norm(0,1)
MC<-10000

W<-array()
design1<-matrix(ncol=4,nrow=9)
design=1

n<-5
q<-1
while (n<=45) {
			for(mc in 1:MC){
				x<-rnorm(n,0,1)           
				W[mc]<-wilcox.test(x, ,alternative = c("two.sided"))$p.value
			}
			#print(c(n,m,d,mean(1*(W<0.05)) ))
			design1[q,]<-c(q,design,n,mean(1*(W<0.05)))
			q<-q+1
			n<-n+5
}
print(design1)


################### norm(1,1)
MC<-10000

W<-array()
design2<-matrix(ncol=4,nrow=9)
design=2

n<-5
q<-1
while (n<=45) {
			for(mc in 1:MC){
				x<-rnorm(n,1,1)           
				W[mc]<-wilcox.test(x, ,alternative = c("two.sided"))$p.value
			}
			#print(c(n,m,d,mean(1*(W<0.05)) ))
			design2[q,]<-c(q,design,n,mean(1*(W<0.05)))
			q<-q+1
			n<-n+5
}
print(design2)


################### norm(0.5,1)
MC<-10000

W<-array()
design3<-matrix(ncol=4,nrow=9)
design=3

n<-5
q<-1
while (n<=45) {
			for(mc in 1:MC){
				x<-rnorm(n,0.5,1)           
				W[mc]<-wilcox.test(x, ,alternative = c("two.sided"))$p.value
			}
			#print(c(n,m,d,mean(1*(W<0.05)) ))
			design3[q,]<-c(q,design,n,mean(1*(W<0.05)))
			q<-q+1
			n<-n+5
}
print(design3)


################### norm(0.25,1)
MC<-10000

W<-array()
design4<-matrix(ncol=4,nrow=9)
design=4

n<-5
q<-1
while (n<=45) {
			for(mc in 1:MC){
				x<-rnorm(n,0.25,1)           
				W[mc]<-wilcox.test(x, ,alternative = c("two.sided"))$p.value
			}
			#print(c(n,m,d,mean(1*(W<0.05)) ))
			design4[q,]<-c(q,design,n,mean(1*(W<0.05)))
			q<-q+1
			n<-n+5
}
print(design4)


################### unif(-0.3,0.7)
MC<-10000

W<-array()
design5<-matrix(ncol=4,nrow=9)
design=5

n<-5
q<-1
while (n<=45) {
			for(mc in 1:MC){
				x<-runif(n,-0.3,0.7)            
				W[mc]<-wilcox.test(x, ,alternative = c("two.sided"))$p.value
			}
			#print(c(n,m,d,mean(1*(W<0.05)) ))
			design5[q,]<-c(q,design,n,mean(1*(W<0.05)))
			q<-q+1
			n<-n+5
}
print(design5)


################### unif(-0.5,0.6)
MC<-10000

W<-array()
design6<-matrix(ncol=4,nrow=9)
design=6

n<-5
q<-1
while (n<=45) {
			for(mc in 1:MC){
				x<-runif(n,-0.5,0.6)            
				W[mc]<-wilcox.test(x, ,alternative = c("two.sided"))$p.value
			}
			#print(c(n,m,d,mean(1*(W<0.05)) ))
			design6[q,]<-c(q,design,n,mean(1*(W<0.05)))
			q<-q+1
			n<-n+5
}
print(design6)


################### unif(-0.8,1)
MC<-10000

W<-array()
design7<-matrix(ncol=4,nrow=9)
design=7

n<-5
q<-1
while (n<=45) {
			for(mc in 1:MC){
				x<-runif(n,-0.8,1)            
				W[mc]<-wilcox.test(x, ,alternative = c("two.sided"))$p.value
			}
			#print(c(n,m,d,mean(1*(W<0.05)) ))
			design7[q,]<-c(q,design,n,mean(1*(W<0.05)))
			q<-q+1
			n<-n+5
}
print(design7)


################### unif(-1,1)
MC<-10000

W<-array()
design8<-matrix(ncol=4,nrow=9)
design=8

n<-5
q<-1
while (n<=45) {
			for(mc in 1:MC){
				x<-runif(n,-1,1)            
				W[mc]<-wilcox.test(x, ,alternative = c("two.sided"))$p.value
			}
			#print(c(n,m,d,mean(1*(W<0.05)) ))
			design8[q,]<-c(q,design,n,mean(1*(W<0.05)))
			q<-q+1
			n<-n+5
}
print(design8)




design<-rbind(design1,design2,design3,design4,design5,design6, design7, design8)
write.table(design, file="E:\\STATA Projects\\Vexler2- DBEL Project-Tanajian-for WEB SITE\\proportion rejected programs\\onesample\\onesampletwosided\\power1s2s_W.csv",
			sep=",",dec=".",row.names=FALSE, col.names=TRUE)
								