
MC<-10000


#####Design A#####################################################################
WA<-array()
designA<-matrix(0,81,3)

obs<-1
for(n in c(5,10,15,20,25,30,35,40,45)){
	for(m in c(5,10,15,20,25,30,35,40,45)){
		for(mc in 1:MC){
			x<-rnorm(n,1,1)
			y<-rnorm(m,0,0.5)           
			WA[mc]<-ks.test(x,y,alternative = c("two.sided"))$p.value		
			}
		designA[obs,1]<-n
		designA[obs,2]<-m
		designA[obs,3]<-mean(1*(WA<0.05))

		obs=obs+1
		}
	}

write.table(designA, file="tab1_designA_ks.csv", sep=",", dec=".", row.names=FALSE, col.names=TRUE)


#####Design B#####################################################################
WB<-array()
designB<-matrix(0,81,3)

obs<-1
for(n in c(5,10,15,20,25,30,35,40,45)){
	for(m in c(5,10,15,20,25,30,35,40,45)){
		for(mc in 1:MC){
			x<-rnorm(n,1,1)
			y<-rnorm(m,0,2)           
			WB[mc]<-ks.test(x,y,alternative = c("two.sided"))$p.value		
			}
		designB[obs,1]<-n
		designB[obs,2]<-m
		designB[obs,3]<-mean(1*(WB<0.05))

		obs=obs+1
		}
	}

write.table(designB, file="tab1_designB_ks.csv", sep=",", dec=".", row.names=FALSE, col.names=TRUE)


#####Design C#####################################################################
WC<-array()
designC<-matrix(0,81,3)

obs<-1
for(n in c(5,10,15,20,25,30,35,40,45)){
	for(m in c(5,10,15,20,25,30,35,40,45)){
		for(mc in 1:MC){
			x<-runif(n,-1,1)+rexp(n)
			y<-runif(m,-1,1)           
			WC[mc]<-ks.test(x,y,alternative = c("two.sided"))$p.value		
			}
		designC[obs,1]<-n
		designC[obs,2]<-m
		designC[obs,3]<-mean(1*(WC<0.05))

		obs=obs+1
		}
	}

write.table(designC, file="tab1_designC_ks.csv", sep=",", dec=".", row.names=FALSE, col.names=TRUE)




#####Design D#####################################################################
WD<-array()
designD<-matrix(0,81,3)

obs<-1
for(n in c(5,10,15,20,25,30,35,40,45)){
	for(m in c(5,10,15,20,25,30,35,40,45)){
		for(mc in 1:MC){
			x<-runif(n,0,0.5)+rexp(n)
			y<-rexp(m)
         
			WD[mc]<-ks.test(x,y,alternative = c("two.sided"))$p.value		
			}
		designD[obs,1]<-n
		designD[obs,2]<-m
		designD[obs,3]<-mean(1*(WD<0.05))

		obs=obs+1
		}
	}

write.table(designD, file="tab1_designD_ks.csv", sep=",", dec=".", row.names=FALSE, col.names=TRUE)


#####TypeI#####################################################################
WD<-array()
designTI<-matrix(0,1,3)

obs<-1
		for(mc in 1:MC){
			x<-rnorm(30,0,1)
			y<-rnorm(37,0,1)

                   
			WD[mc]<-ks.test(x,y,alternative = c("two.sided"))$p.value		
			}
		designTI[obs,1]<-n
		designTI[obs,2]<-m
		designTI[obs,3]<-mean(1*(WD<0.05))

write.table(designTI, file="tab1_designTI_ks.csv", sep=",", dec=".", row.names=FALSE, col.names=TRUE)



#####Design E #####################################################################
WE<-array()
designE<-matrix(0,81,3)

obs<-1
for(n in c(5,10,15,20,30)){
	for(m in c(5,10,15,20,25,30,35)){
		for(mc in 1:MC){
			x<-exp(rnorm(n,1,1))
			y<-exp(rnorm(m,1,0.25))
           
			WE[mc]<-ks.test(x,y,alternative = c("two.sided"))$p.value		
			}
		designE[obs,1]<-n
		designE[obs,2]<-m
		designE[obs,3]<-mean(1*(WE<0.05))

		obs=obs+1
		}
	}

write.table(designE, file="tab1_designE_ks.csv", sep=",", dec=".", row.names=FALSE, col.names=TRUE)




#####Design F #####################################################################
WF<-array()
designF<-matrix(0,81,3)

obs<-1
for(n in c(5,10,15,20,30)){
	for(m in c(5,10,15,20,25,30,35)){
		for(mc in 1:MC){
			x<-runif(n,1,2)
			y<-exp(rnorm(m,0,1))
           
			WF[mc]<-ks.test(x,y,alternative = c("two.sided"))$p.value		
			}
		designF[obs,1]<-n
		designF[obs,2]<-m
		designF[obs,3]<-mean(1*(WF<0.05))

		obs=obs+1
		}
	}

write.table(designF, file="tab1_designF_ks.csv", sep=",", dec=".", row.names=FALSE, col.names=TRUE)





